Ask Your Question
0

Sagemath 8.2 macOS10.12.6?

asked 2018-05-31 08:20:04 -0500

smbelcas gravatar image

Installer packages for Sagemath 8.2 have been posted for macOS10.11 and for macOS10.13 in the last week or so. Are there plans to have installer packages for macOS10.12 as well? (Basically I'm wondering whether I should wait a week or two to upgrade, or just go to Sagemath 8.1 for the year.)

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2018-06-04 12:55:16 -0500

slelievre gravatar image

Have you tried the macOS 10.11 and macOS 10.13 versions? They might just work for you.

Another solution is to build Sage from source, it works well.

edit flag offensive delete link more

Comments

This does not address my question.

smbelcas gravatar imagesmbelcas ( 2018-06-05 14:05:02 -0500 )edit

I would suggest it might, since in the past nearly all Mac versions have been "forward-compatible". The 10.11 one (which I think I created) should work on 10.12 as well. We can't make a 10.12-specific binary unless someone volunteers a computer to create them on, however, and most people with 10.12 computers on the development team probably are already on 10.13 now.

kcrisman gravatar imagekcrisman ( 2018-06-12 08:31:31 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-05-31 08:20:04 -0500

Seen: 95 times

Last updated: Jun 04